Skip to content

Data Protection Configuration

The Data Protection Configuration service collection provides operations for managing data protection policies and configuration entities. Create, update, delete, and query classifications, cloud applications, content patterns, enterprise accounts, file types, sensitivity labels, local application groups, local applications, policies, web locations, and policy precedence.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
entities_classification_get_v2
get_classification
Gets the classifications that match the provided ids
entities_classification_post_v2
create_classification
Create classifications
entities_classification_patch_v2
update_classifications
Update classifications
entities_classification_delete_v2
delete_classification
Deletes classifications that match the provided ids
entities_cloud_application_get
get_cloud_application
Get a particular cloud-application
entities_cloud_application_create
create_cloud_application
Persist the given cloud application for the provided entity instance
entities_cloud_application_patch
update_cloud_application
Update a cloud application.
entities_cloud_application_delete
delete_cloud_application
Delete cloud application.
entities_content_pattern_get
get_content_pattern
Get a particular content-pattern(s).
entities_content_pattern_create
create_content_pattern
Persist the given content pattern for the provided entity instance.
entities_content_pattern_patch
update_content_pattern
Update a content pattern.
entities_content_pattern_delete
delete_content_pattern
Delete content pattern.
entities_policy_precedence_post_v1
update_policy_precedence
Update Policy Precedence.
entities_enterprise_account_get
get_enterprise_account
Get a particular enterprise-account(s).
entities_enterprise_account_create
create_enterprise_account
Persist the given enterprise account for the provided entity instance.
entities_enterprise_account_patch
update_enterprise_account
Update a enterprise account.
entities_enterprise_account_delete
delete_enterprise_account
Delete enterprise account.
entities_file_type_get
get_file_type
Get a particular file-type.
entities_sensitivity_label_get_v2
get_sensitivity_label
Get sensitivity label matching the IDs (V2).
entities_sensitivity_label_create_v2
create_sensitivity_label
Create new sensitivity label (V2).
entities_sensitivity_label_delete_v2
delete_sensitivity_label
Delete sensitivity labels matching the IDs (V2).
entities_local_application_group_get
get_local_application_group
Get particular local application groups.
entities_local_application_group_create
create_local_application_group
Persist the given local application group for the provided entity instance.
entities_local_application_group_patch
update_local_application_group
Update a local application group.
entities_local_application_group_delete
delete_local_application_group
Soft Delete local application. The application won’t be visible anymore, but will still be in the database.
entities_local_application_get
get_local_application
Get a particular local application.
entities_local_application_create
create_local_application
Persist the given local application for the provided entity instance.
entities_local_application_patch
update_local_application
Update a local application.
entities_local_application_delete
delete_local_application
Soft Delete local application. The application wont be visible anymore, but will still be in the database.
entities_policy_get_v2
get_policies
Get policies that match the provided ids.
entities_policy_post_v2
create_policy
Create policies.
entities_policy_patch_v2
update_policies
Update policies.
entities_policy_delete_v2
delete_policies
Delete policies that match the provided ids.
entities_web_location_get_v2
get_web_location
Get web-location entities matching the provided ID(s).
entities_web_location_create_v2
create_web_location
Persist the given web-locations.
entities_web_location_patch_v2
update_web_location
Update a web-location.
entities_web_location_delete_v2
delete_web_location
Delete web-location.
queries_classification_get_v2
query_classifications
Search for classifications that match the provided criteria.
queries_cloud_application_get_v2
query_cloud_applications
Get all cloud-application IDs matching the query with filter.
queries_content_pattern_get_v2
query_content_patterns
Get all content-pattern IDs matching the query with filter.
queries_enterprise_account_get_v2
query_enterprise_accounts
Get all enterprise-account IDs matching the query with filter.
queries_file_type_get_v2
query_file_type
Get all file-type IDs matching the query with filter.
queries_sensitivity_label_get_v2
query_sensitivity_label
Get all sensitivity label IDs matching the query with filter.
queries_local_application_group_get
query_local_application_groups
Get all local application group IDs matching the query with filter.
queries_local_application_get
query_local_applications
Get all local-application IDs matching the query with filter.
queries_policy_get_v2
query_policies
Search for policies that match the provided criteria.
queries_web_location_get_v2
query_web_locations
Get web-location IDs matching the query with filter.

Gets the classifications that match the provided ids

GET /data-protection/entities/classifications/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_classification
NameTypeData typeDescription
idsquerylist of stringsIDs of the classifications to get
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_classification(ids=id_list)
print(response)

Create classifications

POST /data-protection/entities/classifications/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_classification
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
classification_propertiesbodydictionaryThe properties of the new classification.
namebodystringThe name of the new classification.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_classification(classification_properties={},
name="string")
print(response)

Update classifications

PATCH /data-protection/entities/classifications/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_classifications
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
classification_propertiesbodydictionaryThe properties of the new classification.
namebodystringThe name of the new classification.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_classifications(id="string",
classification_properties={},
name="string")
print(response)

Deletes classifications that match the provided ids

DELETE /data-protection/entities/classifications/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_classification
NameTypeData typeDescription
idsquerylist of stringsIDs of the classifications to delete
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_classification(ids=id_list)
print(response)

Get a particular cloud-application

GET /data-protection/entities/cloud-applications/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_cloud_application
NameTypeData typeDescription
idsquerylist of stringsThe cloud application id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_cloud_application(ids=id_list)
print(response)

Persist the given cloud application for the provided entity instance

POST /data-protection/entities/cloud-applications/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_cloud_application
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
descriptionbodystringThe description of the cloud application.
namebodystringThe name of the cloud application.
urlsbodylist of dictionariesThe fields contain the FQDN and the path.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
urls = [
{
"fqdn": "string",
"path": "string"
}
]
response = falcon.create_cloud_application(description="string",
name="string",
urls=urls)
print(response)

Update a cloud application.

PATCH /data-protection/entities/cloud-applications/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_cloud_application
NameTypeData typeDescription
idquerystringThe cloud app id to update.
bodybodydictionaryFull body payload in JSON format
descriptionbodystringThe description of the cloud application.
namebodystringThe name of the cloud application.
urlsbodylist of dictionariesThe fields contain the FQDN and the path.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
urls = [
{
"fqdn": "string",
"path": "string"
}
]
response = falcon.update_cloud_application(id="string",
description="string",
name="string",
urls=urls)
print(response)

Delete cloud application.

DELETE /data-protection/entities/cloud-applications/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_cloud_application
NameTypeData typeDescription
idsquerylist of stringsThe id of the cloud application to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_cloud_application(ids=id_list)
print(response)

Get a particular content-pattern(s).

GET /data-protection/entities/content-patterns/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_content_pattern
NameTypeData typeDescription
idsquerylist of stringsThe content-pattern id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_content_pattern(ids=id_list)
print(response)

Persist the given content pattern for the provided entity instance.

POST /data-protection/entities/content-patterns/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_content_pattern
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
categorybodystringThe content pattern category.
descriptionbodystringThe description of the content pattern.
examplebodystringThe new content pattern demonstration.
min_match_thresholdbodyintegerInteger.
namebodystringThe name of the new content pattern.
regexesbodylist of stringsList of strings.
regionbodystringThe region for the content pattern.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_content_pattern(category="string",
description="string",
example="string",
min_match_threshold=integer,
name="string",
regexes=["string"],
region="string")
print(response)

Update a content pattern.

PATCH /data-protection/entities/content-patterns/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_content_pattern
NameTypeData typeDescription
idquerystringThe id of the content pattern to patch.
bodybodydictionaryFull body payload in JSON format
categorybodystringThe content pattern category.
descriptionbodystringThe description of the content pattern.
examplebodystringThe new content pattern demonstration.
min_match_thresholdbodyintegerInteger.
namebodystringThe name of the new content pattern.
regexesbodylist of stringsList of strings.
regionbodystringThe region for the content pattern.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_content_pattern(id="string",
category="string",
description="string",
example="string",
min_match_threshold=integer,
name="string",
regexes=["string"],
region="string")
print(response)

Delete content pattern.

DELETE /data-protection/entities/content-patterns/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_content_pattern
NameTypeData typeDescription
idsquerylist of stringsThe id(s) of the content pattern to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_content_pattern(ids=id_list)
print(response)

Update Policy Precedence.

POST /data-protection/entities/data-protection-precedence/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_policy_precedence
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
platformbodystringThe platform for the policy precedence update (e.g., ‘win’ or ‘mac’).
precedencebodylist of stringsOrdered list of policy IDs defining the precedence order.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_policy_precedence(platform="string",
precedence=["string"])
print(response)

Get a particular enterprise-account(s).

GET /data-protection/entities/enterprise-accounts/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_enterprise_account
NameTypeData typeDescription
idsquerylist of stringsThe enterprise-account id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_enterprise_account(ids=id_list)
print(response)

Persist the given enterprise account for the provided entity instance.

POST /data-protection/entities/enterprise-accounts/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_enterprise_account
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
application_group_idbodystringString.
domainsbodylist of stringsList of strings.
namebodystringThe name of the enterprise account.
plugin_config_idbodystringString.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_enterprise_account(application_group_id="string",
domains=["string"],
name="string",
plugin_config_id="string")
print(response)

Update a enterprise account.

PATCH /data-protection/entities/enterprise-accounts/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_enterprise_account
NameTypeData typeDescription
idquerystringThe id of the enterprise account to update.
bodybodydictionaryFull body payload in JSON format
application_group_idbodystringString.
domainsbodylist of stringsList of strings.
namebodystringThe name of the enterprise account.
plugin_config_idbodystringString.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_enterprise_account(id="string",
application_group_id="string",
domains=["string"],
name="string",
plugin_config_id="string")
print(response)

Delete enterprise account.

DELETE /data-protection/entities/enterprise-accounts/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_enterprise_account
NameTypeData typeDescription
idsquerylist of stringsThe id of the enterprise account to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_enterprise_account(ids=id_list)
print(response)

Get a particular file-type.

GET /data-protection/entities/file-types/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_file_type
NameTypeData typeDescription
idsquerylist of stringsThe file-type id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_file_type(ids=id_list)
print(response)

Get sensitivity label matching the IDs (V2).

GET /data-protection/entities/labels/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_sensitivity_label
NameTypeData typeDescription
idsquerylist of stringsThe sensitivity label entity id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_sensitivity_label(ids=id_list)
print(response)

Create new sensitivity label (V2).

POST /data-protection/entities/labels/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_sensitivity_label
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
co_authoringbodybooleanBoolean.
display_namebodystringString.
external_idbodystringString.
label_providerbodystringString.
namebodystringThe name of the new sensitivity label.
plugins_configuration_idbodystringString.
syncedbodybooleanBoolean.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_sensitivity_label(co_authoring=boolean,
display_name="string",
external_id="string",
label_provider="string",
name="string",
plugins_configuration_id="string",
synced=boolean)
print(response)

Delete sensitivity labels matching the IDs (V2).

DELETE /data-protection/entities/labels/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_sensitivity_label
NameTypeData typeDescription
idsquerylist of stringsThe sensitivity label entity id(s) to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_sensitivity_label(ids=id_list)
print(response)

Get particular local application groups.

GET /data-protection/entities/local-application-groups/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_local_application_group
NameTypeData typeDescription
idsquerylist of stringsThe local application group id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_local_application_group(ids=id_list)
print(response)

Persist the given local application group for the provided entity instance.

POST /data-protection/entities/local-application-groups/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_local_application_group
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
descriptionbodystringThe description of the local application group.
local_application_idsbodylist of stringsList of local application IDs to include in the group.
namebodystringThe name of the local application group.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.create_local_application_group(description="string",
local_application_ids=id_list,
name="string")
print(response)

Update a local application group.

PATCH /data-protection/entities/local-application-groups/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_local_application_group
NameTypeData typeDescription
idquerystringThe local app id to update.
bodybodydictionaryFull body payload in JSON format.
descriptionbodystringThe description of the local application group.
local_application_idsbodylist of stringsList of local application IDs to include in the group.
namebodystringThe name of the local application group.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.update_local_application_group(id="string",
description="string",
local_application_ids=id_list,
name="string")
print(response)

Soft Delete local application. The application won’t be visible anymore, but will still be in the database.

DELETE /data-protection/entities/local-application-groups/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_local_application_group
NameTypeData typeDescription
idsquerylist of stringsThe id of the local application group to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_local_application_group(ids=id_list)
print(response)

Get a particular local application.

GET /data-protection/entities/local-applications/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_local_application
NameTypeData typeDescription
idsquerylist of stringsThe local application id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_local_application(ids=id_list)
print(response)

Persist the given local application for the provided entity instance.

POST /data-protection/entities/local-applications/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_local_application
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
apply_rules_for_children_processesbodybooleanWhether to apply rules for children processes of this application.
executable_namebodystringThe executable name of the local application.
group_idsbodylist of stringsList of group IDs to associate with this local application.
namebodystringThe name of the local application.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.create_local_application(apply_rules_for_children_processes="string",
executable_name="string",
group_ids=id_list,
name="string")
print(response)

Update a local application.

PATCH /data-protection/entities/local-applications/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_local_application
NameTypeData typeDescription
idquerystringThe local app id to update.
bodybodydictionaryFull body payload in JSON format.
apply_rules_for_children_processesbodybooleanWhether to apply rules for children processes of this application.
executable_namebodystringThe executable name of the local application.
group_idsbodylist of stringsList of group IDs to associate with this local application.
namebodystringThe name of the local application.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.update_local_application(id="string",
apply_rules_for_children_processes="string",
executable_name="string",
group_ids=id_list,
name="string")
print(response)

Soft Delete local application. The application wont be visible anymore, but will still be in the database.

DELETE /data-protection/entities/local-applications/v1
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_local_application
NameTypeData typeDescription
idsquerylist of stringsThe id of the local application to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_local_application(ids=id_list)
print(response)

Get policies that match the provided ids.

GET /data-protection/entities/policies/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_policies
NameTypeData typeDescription
idsquerylist of stringsIDs of the policies to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_policies(ids=id_list)
print(response)

Create policies.

POST /data-protection/entities/policies/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_policy
NameTypeData typeDescription
platform_namequerystringplatform name of the policies to update, either ‘win’ or ‘mac’.
bodybodydictionaryFull body payload in JSON format
descriptionbodystringThe description of the new policy.
namebodystringThe name of the new policy.
policy_propertiesbodydictionaryThe properties of the new policy.
precedencebodyintegerThe order of precedence.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_policy(platform_name="string",
description="string",
name="string",
policy_properties={},
precedence=integer)
print(response)

Update policies.

PATCH /data-protection/entities/policies/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_policies
NameTypeData typeDescription
platform_namequerystringplatform name of the policies to update, either ‘win’ or ‘mac’.
bodybodydictionaryFull body payload in JSON format
descriptionbodystringThe description of the policy.
namebodystringThe name of the policy.
policy_propertiesbodydictionaryThe properties of the policy.
precedencebodyintegerThe order of precedence.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_policies(platform_name="string",
id="string",
is_enabled=boolean,
host_groups=["string"],
description="string",
name="string",
policy_properties={},
precedence=integer)
print(response)

Delete policies that match the provided ids.

DELETE /data-protection/entities/policies/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_policies
NameTypeData typeDescription
idsquerylist of stringsIDs of the policies to delete.
platform_namequerystringplatform name of the policies to update, either ‘win’ or ‘mac’.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_policies(ids=id_list, platform_name="string")
print(response)

Get web-location entities matching the provided ID(s).

GET /data-protection/entities/web-locations/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 get_web_location
NameTypeData typeDescription
idsquerylist of stringsThe web-location entity id(s) to get.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_web_location(ids=id_list)
print(response)

Persist the given web-locations.

POST /data-protection/entities/web-locations/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 create_web_location
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
application_idbodystringThe ID of the application.
deletedbodybooleanFlag indicating if this location is deleted.
enterprise_account_idbodystringAssociated enterprise account ID.
location_typebodystringLocation type.
namebodystringLocation name.
provider_location_idbodystringProvider location ID.
provider_location_namebodystringProvider location name.
typebodystringType.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_web_location(application_id="string",
application_id="string",
deleted=boolean,
enterprise_account_id="string",
location_type="string",
name="string",
provider_location_id="string",
provider_location_name="string",
type="string")
print(response)

Update a web-location.

PATCH /data-protection/entities/web-locations/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 update_web_location
NameTypeData typeDescription
idquerystringThe web-location entity ID to update.
bodybodydictionaryFull body payload in JSON format
application_idbodystringThe ID of the application.
deletedbodybooleanFlag indicating if this location is deleted.
enterprise_account_idbodystringAssociated enterprise account ID.
location_typebodystringLocation type.
namebodystringLocation name.
provider_location_idbodystringProvider location ID.
provider_location_namebodystringProvider location name.
typebodystringType.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_web_location(application_id="string",
application_id="string",
deleted=boolean,
enterprise_account_id="string",
location_type="string",
name="string",
provider_location_id="string",
provider_location_name="string",
type="string")
print(response)

Delete web-location.

DELETE /data-protection/entities/web-locations/v2
Scope Data Protection: WRITE Consumes · Produces application/json
PEP 8 delete_web_location
NameTypeData typeDescription
idsquerylist of stringsThe IDs of the web-location to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_web_location(ids=id_list)
print(response)

Search for classifications that match the provided criteria.

GET /data-protection/queries/classifications/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_classifications
NameTypeData typeDescription
filterquerystringFilter results by specific attributes. Allowed attributes are: name, created_at, modified_at, properties.content_patterns, properties.content_patterns_operator, properties.file_types, properties.sensitivity_labels, created_by, modified_by, properties.evidence_duplication_enabled, properties.protection_mode, properties.web_sources.
sortquerystringThe property to sort by. Allowed fields are: name, created_at, modified_at.
limitqueryintegerThe maximum records to return. [maximum: 500, minimum: integer, default: 100]
offsetqueryintegerThe offset to start retrieving records from. [maximum: 10000, minimum: integer]
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_classifications(filter="string",
offset=integer,
limit=integer,
sort="string")
print(response)

Get all cloud-application IDs matching the query with filter.

GET /data-protection/queries/cloud-applications/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_cloud_applications
NameTypeData typeDescription
filterquerystringOptional filter for searching cloud applications.
sortquerystringThe sort instructions to order by on.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_cloud_applications(filter="string",
sort="string",
limit=integer,
offset=integer)
print(response)

Get all content-pattern IDs matching the query with filter.

GET /data-protection/queries/content-patterns/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_content_patterns
NameTypeData typeDescription
filterquerystringThe filter to use when finding content patterns.
sortquerystringThe sort instructions to order by on.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_content_patterns(filter="string",
sort="string",
limit=integer,
offset=integer)
print(response)

Get all enterprise-account IDs matching the query with filter.

GET /data-protection/queries/enterprise-accounts/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_enterprise_accounts
NameTypeData typeDescription
filterquerystringThe filter to use when finding enterprise accounts.
sortquerystringThe sort instructions to order by on.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_enterprise_accounts(filter="string",
sort=integer,
limit=integer,
offset=integer)
print(response)

Get all file-type IDs matching the query with filter.

GET /data-protection/queries/file-types/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_file_type
NameTypeData typeDescription
filterquerystringThe filter to use when finding file types.
sortquerystringThe sort instructions to order by on.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_file_type(filter="string",
sort="string",
limit=integer,
offset=integer)
print(response)

Get all sensitivity label IDs matching the query with filter.

GET /data-protection/queries/labels/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_sensitivity_label
NameTypeData typeDescription
filterquerystringThe filter to use when finding sensitivity labels.
sortquerystringThe sort instructions to order by on.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_sensitivity_label(filter="string",
sort="string",
limit=integer,
offset=integer)
print(response)

Get all local application group IDs matching the query with filter.

GET /data-protection/queries/local-application-groups/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_local_application_groups
NameTypeData typeDescription
filterquerystringOptional filter for searching local application groups. Allowed filters are: name (string), is_deleted (boolean), platform (string), created_at and updated_at.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_local_application_groups(filter="string",
limit=integer,
offset=integer)
print(response)

Get all local-application IDs matching the query with filter.

GET /data-protection/queries/local-applications/v1
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_local_applications
NameTypeData typeDescription
filterquerystringOptional filter for searching local applications. Allowed filters are: name (string), is_deleted (boolean), created_at and updated_at.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_local_applications(filter="string",
limit=integer,
offset=integer)
print(response)

Search for policies that match the provided criteria.

GET /data-protection/queries/policies/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_policies
NameTypeData typeDescription
platform_namequerystringplatform name of the policies to search, either ‘win’ or ‘mac’.
filterquerystringFilter results by specific attributes. Allowed attributes are: name, properties.enable_content_inspection, properties.be_exclude_domains, properties.be_upload_timeout_response, properties.be_paste_clipboard_max_size, properties.evidence_storage_max_size, precedence, created_at, modified_at, properties.similarity_threshold, properties.enable_clipboard_inspection, properties.evidence_encrypted_enabled, properties.enable_network_inspection, properties.besplash_message_source, properties.min_confidence_level, properties.unsupported_browsers_action, properties.similarity_detection, properties.classifications, properties.besplash_enabled, properties.be_paste_timeout_response, properties.be_paste_clipboard_min_size_unit, properties.be_paste_clipboard_over_size_behaviour_block, properties.browsers_without_active_extension, description, is_enabled, created_by, properties.max_file_size_to_inspect_unit, properties.block_all_data_access, properties.be_paste_timeout_duration_milliseconds, properties.be_paste_clipboard_min_size, is_default, modified_by, properties.enable_context_inspection, properties.inspection_depth, properties.evidence_download_enabled, properties.besplash_custom_message, properties.be_upload_timeout_duration_seconds, properties.enable_end_user_notifications_unsupported_browser, properties.custom_allow_notification, properties.custom_block_notification, properties.be_paste_clipboard_max_size_unit, properties.evidence_storage_free_disk_perc, properties.max_file_size_to_inspect, properties.allow_notifications, properties.block_notifications, properties.evidence_duplication_enabled_default, properties.network_inspection_files_exceeding_size_limit.
offsetqueryintegerThe offset to start retrieving records from. [maximum: 10000, minimum: integer]
limitqueryintegerThe maximum records to return. [maximum: 500, minimum: integer, default: 100]
sortquerystringThe property to sort by. Allowed fields are: modified_at, name, precedence, created_at.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_policies(platform_name="string",
filter="string",
offset=integer,
limit=integer,
sort="string")
print(response)

Get web-location IDs matching the query with filter.

GET /data-protection/queries/web-locations/v2
Scope Data Protection: READ Consumes · Produces application/json
PEP 8 query_web_locations
NameTypeData typeDescription
filterquerystringThe filter to use when finding web locations.
typequerystringThe type of entity to query. Allowed values are: predefined, custom.
limitqueryintegerThe number of items to return in this response (default: 100, max: 500). Use with the offset parameter to manage pagination of results.
offsetqueryintegerThe offset to start retrieving records from. Use with the limit parameter to manage pagination of results.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import DataProtectionConfiguration
falcon = DataProtectionConfiguration(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_web_locations(filter="string",
type="string",
limit="string",
offset=integer)
print(response)